import type { EggCore, Context } from './egg.js';
/**
 * BaseContextClass is a base class that can be extended,
 * it's instantiated in context level,
 * {@link Helper}, {@link Service} is extending it.
 */
export declare class BaseContextClass<T extends Context = Context> {
    ctx: T;
    app: EggCore;
    config: Record<string, any>;
    service: BaseContextClass<T>;
    /**
     * @since 1.0.0
     */
    constructor(ctx: T);
}
